Name:		sussen
Version:	0.35
Release:	1
License:	GPL
Group:		Applications/Productivity
URL:		http://dev.mmgsecurity.com/projects/sussen
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source:		http://dev.mmgsecurity.com/downloads/sussen/%{name}-%{version}.tar.gz

Requires: mono-core
Requires: gtk-sharp2
BuildRequires: mono-core
BuildRequires: mono-devel
BuildRequires: gtk-sharp2
BuildRequires: rpm-devel

Summary: Sussen security scanner

%description
Sussen is a tool that checks for vulnerabilities and configuration issues on computer systems.

%prep

%setup -q

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# remove libtool archives
find $RPM_BUILD_ROOT/%{_libdir} -name '*.la' -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0775)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_libdir}/*
%{_datadir}/pixmaps/sussen-icon.png
%{_mandir}/man1/*.gz
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/sussen/*

%changelog
* Wed Feb 01 2006 Loren Bandiera <lorenb@mmgsecurity.com>
- Initial RPM release
