// 
// sussen-applet - Defines.cs
// Author: Loren Bandiera
// Copyright 2005 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;

namespace Sussen.Applet
{
	public struct Defines
	{
		public static string PACKAGE = "sussen-applet";
		public static string VERSION = "0.35";
		
		public static string DEFAULT_XML_DIRECTORY = "/usr/local/share/sussen/xml";
		public static string DEFAULT_DOWNLOAD_DIRECTORY = "/usr/local/share/sussen/download";
		
		public static string MENU_XML = 
			"<popup name=\"button3\">" + 
			"<menuitem name=\"Item 1\" verb=\"Scan\" _label=\"_Scan system\" pixtype=\"stock\" pixname=\"gtk-execute\"/>" +
			"<menuitem name=\"Item 2\" verb=\"Analyze\" _label=\"Analyze existing data\" pixtype=\"stock\" pixname=\"gtk-find\"/>" +
			"<menuitem name=\"Item 3\" verb=\"About\" _label=\"About\" pixtype=\"stock\" pixname=\"gnome-stock-about\"/>" +
			"</popup>";
	}
}
