// 
// sussen-editor - Defines.cs
// Author: Loren Bandiera
// Copyright 2005 MMG Security, Inc.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//

using System;

namespace Sussen.Editor
{
	public struct Defines
	{
		public static string PACKAGE = "sussen-editor";
		public static string VERSION = "0.35";

		public static readonly string[] SupportedTests = {
			"dpkginfo_test",
			"environmentvariable_test",
			"file_test",
			"filemd5_test",
			"inetd_test",
			"interface_test",
			"inetlisteningservers_test",
			"password_test",
			"process_test",
			"rpminfo_test",
			"runlevel_test",
			"shadow_test",
			"textfilecontent_test",
			"uname_test",
			"variable_test",
			"version_test",
			"xmlfilecontent_test"
		};
	}
}
