#include <stdio.h>
#include <shadow.h>

int shadow_helper_getspnam (char *username,
	char **account,
	char **password,
	long int *lstchg,
	long int *min,
	long int *max,
	long int *warn,
	long int *inact,
	long int *expire,
	unsigned long int *flag) {

	struct spwd spw, *spwp;
	char buf[4096];
	int ret;

	ret = getspnam_r (username, &spw, buf, 4096, &spwp);
	if (spwp == NULL)
		return 1;

	*account = spwp->sp_namp;
	*password = spwp->sp_pwdp;
	*lstchg = spwp->sp_lstchg;
	*min = spwp->sp_min;
	*max = spwp->sp_max;
	*warn = spwp->sp_warn;
	*inact = spwp->sp_inact;
	*expire = spwp->sp_expire;
	*flag = spwp->sp_flag;

	return 0;	
}
